System requirements for Norton WiFi Privacy

To successfully install Norton WiFi Privacy, your device must meet the following system requirements:

Windows Operating Systems

  • Microsoft Windows 10 (all versions)

  • Microsoft Windows 8/8.1 (all versions)

  • Microsoft Windows 7 (all versions) with Service Pack 1 (SP 1) or later

  • Microsoft Windows Vista (all versions) with Service Pack 1 (SP 1) or later

Mac Operating Systems

  • Current and previous two versions of Mac OS X

Android Operating Systems

  • Androids running 4.0.3 or later

iOS Operating Systems

  • iPhones or iPads running the current and previous two versions of Apple iOS

Thank you!

Thank you for using Norton Support.

< Back

Was this information helpful?

DOCID: v117552068_EndUserProfile_en_us
Operating System: Windows, Mac OS X, Android, iOS
Last modified: 12/31/2016